#!/usr/bin/env fish

echo "
set datafile separator \",\"
set xlabel '$argv[1]'
set ylabel '$argv[3]'
set term png
set output '$argv[5]'
set title '$argv[6]'
set key outside right

plot \
'0.1.avg' using $argv[2]:$argv[4] title '0.1' pt 1 lc rgb '#ff0000',\
'0.2.avg' using $argv[2]:$argv[4] title '0.2' pt 1 lc rgb '#ff9900',\
'0.3.avg' using $argv[2]:$argv[4] title '0.3' pt 1 lc rgb '#ffff00',\
'0.4.avg' using $argv[2]:$argv[4] title '0.4' pt 1 lc rgb '#99ff00',\
'0.5.avg' using $argv[2]:$argv[4] title '0.5' pt 1 lc rgb '#00ff00',\
'0.6.avg' using $argv[2]:$argv[4] title '0.6' pt 1 lc rgb '#00ff99',\
'0.7.avg' using $argv[2]:$argv[4] title '0.7' pt 1 lc rgb '#00ffff',\
'0.8.avg' using $argv[2]:$argv[4] title '0.8' pt 1 lc rgb '#0000ff',\
'0.9.avg' using $argv[2]:$argv[4] title '0.9' pt 1 lc rgb '#9900ff',\
'1.0.avg' using $argv[2]:$argv[4] title '1.0' pt 1 lc rgb '#ff00cc',\
'0.1.aavg' using $argv[2]:$argv[4] title '0.1' pt 5 lc rgb '#ff0000',\
'0.2.aavg' using $argv[2]:$argv[4] title '0.2' pt 5 lc rgb '#ff9900',\
'0.3.aavg' using $argv[2]:$argv[4] title '0.3' pt 5 lc rgb '#ffff00',\
'0.4.aavg' using $argv[2]:$argv[4] title '0.4' pt 5 lc rgb '#99ff00',\
'0.5.aavg' using $argv[2]:$argv[4] title '0.5' pt 5 lc rgb '#00ff00',\
'0.6.aavg' using $argv[2]:$argv[4] title '0.6' pt 5 lc rgb '#00ff99',\
'0.7.aavg' using $argv[2]:$argv[4] title '0.7' pt 5 lc rgb '#00ffff',\
'0.8.aavg' using $argv[2]:$argv[4] title '0.8' pt 5 lc rgb '#0000ff',\
'0.9.aavg' using $argv[2]:$argv[4] title '0.9' pt 5 lc rgb '#9900ff',\
'1.0.aavg' using $argv[2]:$argv[4] title '1.0' pt 5 lc rgb '#ff00cc'\
" | gnuplot






















