#!/usr/bin/env fish

echo "
set datafile separator \",\"
set xlabel '$argv[1]'
set ylabel '$argv[3]'
set term png
set output '$argv[5]'
set title '$argv[6]'
set key outside right

plot \
'0.00.avg' using $argv[2]:$argv[4] title '0.00' pt 1 lc rgb '#ff0000',\
'0.02.avg' using $argv[2]:$argv[4] title '0.02' pt 1 lc rgb '#ff9900',\
'0.04.avg' using $argv[2]:$argv[4] title '0.04' pt 1 lc rgb '#ffff00',\
'0.06.avg' using $argv[2]:$argv[4] title '0.06' pt 1 lc rgb '#99ff00',\
'0.08.avg' using $argv[2]:$argv[4] title '0.08' pt 1 lc rgb '#00ff00',\
'0.10.avg' using $argv[2]:$argv[4] title '0.10' pt 1 lc rgb '#00ff99',\
'0.12.avg' using $argv[2]:$argv[4] title '0.12' pt 1 lc rgb '#00ffff',\
'0.14.avg' using $argv[2]:$argv[4] title '0.14' pt 1 lc rgb '#0099ff',\
'0.16.avg' using $argv[2]:$argv[4] title '0.16' pt 1 lc rgb '#0000ff',\
'0.18.avg' using $argv[2]:$argv[4] title '0.18' pt 1 lc rgb '#9900ff',\
'0.20.avg' using $argv[2]:$argv[4] title '0.20' pt 1 lc rgb '#ff00cc',\
'0.00.aavg' using $argv[2]:$argv[4] title '0.00' pt 5 lc rgb '#ff0000',\
'0.02.aavg' using $argv[2]:$argv[4] title '0.02' pt 5 lc rgb '#ff9900',\
'0.04.aavg' using $argv[2]:$argv[4] title '0.04' pt 5 lc rgb '#ffff00',\
'0.06.aavg' using $argv[2]:$argv[4] title '0.06' pt 5 lc rgb '#99ff00',\
'0.08.aavg' using $argv[2]:$argv[4] title '0.08' pt 5 lc rgb '#00ff00',\
'0.10.aavg' using $argv[2]:$argv[4] title '0.10' pt 5 lc rgb '#00ff99',\
'0.12.aavg' using $argv[2]:$argv[4] title '0.12' pt 5 lc rgb '#00ffff',\
'0.14.aavg' using $argv[2]:$argv[4] title '0.14' pt 5 lc rgb '#0099ff',\
'0.16.aavg' using $argv[2]:$argv[4] title '0.16' pt 5 lc rgb '#0000ff',\
'0.18.aavg' using $argv[2]:$argv[4] title '0.18' pt 5 lc rgb '#9900ff',\
'0.20.aavg' using $argv[2]:$argv[4] title '0.20' pt 5 lc rgb '#ff00cc'\
" | gnuplot

















